import * as React from "react";
import { VariantProps } from "class-variance-authority";
//#region src/Badge.d.ts
declare const badgeVariants: (props?: ({
  tone?: "danger" | "neutral" | "success" | "warning" | "info" | null | undefined;
} & import("class-variance-authority/types").ClassProp) | undefined) => string;
interface BadgeProps extends VariantProps<typeof badgeVariants> {
  children: React.ReactNode;
  className?: string;
}
declare function Badge({ tone, children, className }: BadgeProps): React.JSX.Element;
//#endregion
export { Badge, BadgeProps };